Subject: bug#7747: Please put current file name in the prompt for rename-file

From: Lennart Borgman <[email-masked]>
Date: Tue, 28 Dec 2010 02:14:50 +0100

On Tue, Dec 28, 2010 at 2:00 AM, Drew Adams <[email-masked]> wrote:
>> The prompt for `rename-file' does not currently show the old file name
>
> What old file name?  Which file is the "old file"?
>
>> Wouldn't it be better if the prompt should the current file name at init?
>
> What "current file"?
>
> You can use `rename-file' from anywhere in Emacs.  Yes, if you use it from a
> file buffer or from Dired then a reasonable default value is provided.  But
> that's all it is: a default value.

I did not think of that, but I am sure you understood me.

> We should treat this default value the same way we treat default values
> generally (i.e., most default values).

Yes. And the only reasonable way to do that is to put them after the prompt.